/*
 *  Eukleides version 1.5.4
 *  Copyright (c) Christian Obrecht 2004-2010
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

void add(_param p);

void substract(_param p);

void multiply(_param p);

void divide(_param p);

void modulo(_param p);

void change_sign(_param p);

void square_root(_param p);

void power(_param p);

void exponential(_param p);

void logarithm(_param p);

void rtod(_param p);

void dtor(_param p);

void sine(_param p);

void cosine(_param p);

void tangent(_param p);

void arcsine(_param p);

void arccosine(_param p);

void arctangent(_param p);

void absolute_value(_param p);

void sign(_param p);

void ceil_value(_param p);

void floor_value(_param p);

void round_value(_param p);

void minimum(_param p);

void maximum(_param p);

void clamp(_param p);
